Bug 1857747 (golang-uber-goleak) - Review Request: golang-uber-goleak - Goroutine leak detector
Summary: Review Request: golang-uber-goleak - Goroutine leak detector
Keywords:
Status: CLOSED ERRATA
Alias: golang-uber-goleak
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: golang-uber-fx
TreeView+ depends on / blocked
 
Reported: 2020-07-16 13:42 UTC by Fabian Affolter
Modified: 2020-08-17 01:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-17 01:07:29 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Fabian Affolter 2020-07-16 13:42:41 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/golang-uber-goleak.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/golang-uber-goleak-1.0.0-1.fc31.src.rpm

Project URL: https://github.com/uber-go/goleak

Description:
Goroutine leak detector.

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=47304272

rpmlint output:
$ rpmlint golang-uber-goleak-1.0.0-1.fc31.src.rpm
golang-uber-goleak.src: W: spelling-error Summary(en_US) Goroutine -> Go routine, Go-routine, Routine
golang-uber-goleak.src: W: spelling-error %description -l en_US Goroutine -> Go routine, Go-routine, Routine
golang-uber-goleak.src: W: no-%build-section
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

$ rpmlint golang-uber-goleak-devel-1.0.0-1.fc31.noarch.rpm
golang-uber-goleak-devel.noarch: W: spelling-error Summary(en_US) Goroutine -> Go routine, Go-routine, Routine
golang-uber-goleak-devel.noarch: W: spelling-error %description -l en_US Goroutine -> Go routine, Go-routine, Routine
golang-uber-goleak-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/go.uber.org/goleak/.goipath
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

Fedora Account System Username: fab

Comment 1 Robert-André Mauchin 🐧 2020-07-18 15:23:06 UTC
Hey thanks for this package


 - License ok
 - Latest version packaged
 - Builds in mock
 - No rpmlint errors
 - Conforms to Packaging Guidelines

Package approved.

Comment 2 Gwyn Ciesla 2020-08-06 12:28:27 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-uber-goleak

Comment 3 Fedora Update System 2020-08-08 10:42:29 UTC
FEDORA-2020-0e7ba24f67 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-0e7ba24f67

Comment 4 Fedora Update System 2020-08-08 10:50:59 UTC
FEDORA-2020-2dd569ec66 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-2dd569ec66

Comment 5 Fedora Update System 2020-08-09 03:01:22 UTC
FEDORA-2020-2dd569ec66 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-2dd569ec66 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-2dd569ec66

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-08-09 03:47:09 UTC
FEDORA-2020-0e7ba24f67 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-0e7ba24f67 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-0e7ba24f67

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-08-17 01:07:29 UTC
FEDORA-2020-2dd569ec66 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2020-08-17 01:13:19 UTC
FEDORA-2020-0e7ba24f67 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.